WebXmlSubTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.web.WebXmlSubTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.web
Class WebXmlSubTask

    java.lang.Object
      xdoclet.DocletSupport
          xdoclet.SubTask
              xdoclet.TemplateSubTask
                  xdoclet.XmlSubTask
                      xdoclet.modules.web.WebXmlSubTask

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  ResinWebXmlSubTask

public class WebXmlSubTask
extends XmlSubTask

Generates web.xml deployment descriptor.

Version:
  $Revision: 1.15 $
Author:
  Ara Abrahamian (ara_e@email.com)
See Also:
  Serialized Form
ant.element
  display-name="web.xml" name="deploymentdescriptor" parent="xdoclet.modules.web.WebDocletTask"
created
  June 19, 2001

Nested Class Summary
`static class` | `WebXmlSubTask.ContextParam` The declaration of a web application's servlet context initialization parameter.
`static class` | `WebXmlSubTask.ServletVersionTypes` Supported Servlet spec versions.
`static class` | `WebXmlSubTask.TagLib` Describes a JSP tag library.
`static class` | `WebXmlSubTask.WelcomeFile` The welcomefile element contains file name to use as a default welcome file, such as index.html.

Nested classes inherited from class xdoclet.TemplateSubTask
`TemplateSubTask.ExtentTypes, TemplateSubTask.OfType`

Field Summary
`protected ArrayList` | `contextParams`
`protected String` | `description`
`protected String` | `displayName`
`protected boolean` | `distributable`
`protected String` | `largeIcon`
`protected String` | `servletSpec`
`protected Integer` | `sessionTimeout`
`protected String` | `smallIcon`
`protected ArrayList` | `tagLibs`
`protected ArrayList` | `welcomeFiles`

Fields inherited from class xdoclet.DocletSupport
`currentClassTag, currentFieldTag, currentMethodTag`

Constructor Summary
`WebXmlSubTask()` Describe what the WebXmlSubTask constructor does

Method Summary
`void` | `addConfiguredContextparam(WebXmlSubTask.ContextParam cp)` Defines a web application context parameter.
`void` | `addConfiguredTaglib(WebXmlSubTask.TagLib taglib)` Declares a custom tag library for the web application's JSPs.
`void` | `addConfiguredWelcomefile(WebXmlSubTask.WelcomeFile file)` Defines a welcome file for the web application.
`protected void` | `engineStarted()` Describe what the method does
`void` | `execute()` Describe what the method does
`ArrayList` | `getContextParams()` Gets the ContextParams attribute of the WebXmlSubTask object
`String` | `getDescription()` Gets the Description attribute of the WebXmlSubTask object
`String` | `getDisplayname()` Gets the Displayname attribute of the WebXmlSubTask object
`boolean` | `getDistributable()` Gets the Distributable attribute of the WebXmlSubTask object
`String` | `getLargeicon()` Gets the Largeicon attribute of the WebXmlSubTask object
`String` | `getServletspec()` Gets the Servletspec attribute of the WebXmlSubTask object
`Integer` | `getSessiontimeout()` Gets the Sessiontimeout attribute of the WebXmlSubTask object
`String` | `getSmallicon()` Gets the Smallicon attribute of the WebXmlSubTask object
`ArrayList` | `getTagLibs()` Gets the TagLibs attribute of the WebXmlSubTask object
`ArrayList` | `getWelcomeFiles()` Gets the WelcomeFiles attribute of the WebXmlSubTask object
`void` | `setContextParams(ArrayList contextParams)` Sets the ContextParams attribute of the WebXmlSubTask object
`void` | `setDescription(String description)` Optional description of the web application.
`void` | `setDisplayname(String displayName)` Optional short name for the web application that is intended to be displayed by tools.
`void` | `setDistributable(boolean distributable)` Optional boolean flag indicating whether this web application is programmed appropriately to be deployed into a distributed servlet container.
`void` | `setLargeicon(String largeIcon)` Optional relative path within the web application's war file of a large (32 x 32) icon image in either JPEG or GIF format.
`void` | `setServletspec(WebXmlSubTask.ServletVersionTypes servletSpec)` The Servlet spec version to which the web application conforms.
`void` | `setSessiontimeout(Integer session_timeout)` The default session timeout interval for all sessions created in this web application.
`void` | `setSmallicon(String smallIcon)` Optional relative path within the web application's war file of a small (16 x 16) icon image in either JPEG or GIF format.
`void` | `setTagLibs(ArrayList tagLibs)` Sets the TagLibs attribute of the WebXmlSubTask object
`void` | `setWelcomeFiles(ArrayList welcomeFiles)` Sets the WelcomeFiles attribute of the WebXmlSubTask object

Methods inherited from class xdoclet.XmlSubTask
`copyAttributesFrom, engineFinished, getDtdURL, getPublicId, getSchema, getSchemaURL, getSystemId, getUseIds, getXmlencoding, isValidateXML, setDtdURL, setPublicId, setSchema, setSchemaURL, setSystemId, setUseIds, setValidateXML, setXmlencoding, startProcess`

Methods inherited from class xdoclet.TemplateSubTask
`addOfType, addOfType, addPackageSubstitution, generateForClass, getAcceptAbstractClasses, getAcceptInterfaces, getDestinationFile, getEngine, getExtent, getGeneratedFileName, getGenerationManager, getHavingClassTag, getOfType, getPackageSubstitutions, getSubTaskClassName, getTemplateURL, init, isPackageSubstitutionInheritanceSupported, isPrefixWithPackageStructure, javaFile, matchesGenerationRules, processInnerClasses, setAcceptAbstractClasses, setAcceptInterfaces, setDestinationFile, setEngine, setExtent, setExtentValue, setGenerationManager, setHavingClassTag, setOfType, setPackageSubstitutionInheritanceSupported, setPackageSubstitutions, setPrefixWithPackageStructure, setSubTaskClassName, setTemplateFile, setTemplateURL, startEngine, startProcessForAll, startProcessPerClass, validateOptions`

Methods inherited from class xdoclet.SubTask
`addConfigParam, getConfigParams, getConfigParamsAsMap, getContext, getDestDir, getMergeDir, getSubTaskName, getXJavaDoc, setDestDir, setMergeDir, setSubTaskName`

Methods inherited from class xdoclet.DocletSupport
`getCurrentClass, getCurrentClassTag, getCurrentConstructor, getCurrentField, getCurrentFieldTag, getCurrentMethod, getCurrentMethodTag, getCurrentPackage, getCurrentTag, isDocletGenerated, popCurrentClass, pushCurrentClass, setCurrentClass, setCurrentClassTag, setCurrentConstructor, setCurrentField, setCurrentFieldTag, setCurrentMethod, setCurrentMethodTag, setCurrentPackage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### servletSpec

    protected String servletSpec

### smallIcon

    protected String smallIcon

### largeIcon

    protected String largeIcon

### displayName

    protected String displayName

### description

    protected String description

### distributable

    protected boolean distributable

### contextParams

    protected ArrayList contextParams

### sessionTimeout

    protected Integer sessionTimeout

### welcomeFiles

    protected ArrayList welcomeFiles

### tagLibs

    protected ArrayList tagLibs

Constructor Detail

### WebXmlSubTask

    public WebXmlSubTask()

  Describe what the WebXmlSubTask constructor does

Method Detail

### getServletspec

    public String getServletspec()

  Gets the Servletspec attribute of the WebXmlSubTask object

  Returns:
    The Servletspec value

### getContextParams

    public ArrayList getContextParams()

  Gets the ContextParams attribute of the WebXmlSubTask object

  Returns:
    The ContextParams value

### getSmallicon

    public String getSmallicon()

  Gets the Smallicon attribute of the WebXmlSubTask object

  Returns:
    The Smallicon value

### getLargeicon

    public String getLargeicon()

  Gets the Largeicon attribute of the WebXmlSubTask object

  Returns:
    The Largeicon value

### getDisplayname

    public String getDisplayname()

  Gets the Displayname attribute of the WebXmlSubTask object

  Returns:
    The Displayname value

### getDescription

    public String getDescription()

  Gets the Description attribute of the WebXmlSubTask object

  Returns:
    The Description value

### getDistributable

    public boolean getDistributable()

  Gets the Distributable attribute of the WebXmlSubTask object

  Returns:
    The Distributable value

### getSessiontimeout

    public Integer getSessiontimeout()

  Gets the Sessiontimeout attribute of the WebXmlSubTask object

  Returns:
    The Sessiontimeout value

### getWelcomeFiles

    public ArrayList getWelcomeFiles()

  Gets the WelcomeFiles attribute of the WebXmlSubTask object

  Returns:
    The WelcomeFiles value

### getTagLibs

    public ArrayList getTagLibs()

  Gets the TagLibs attribute of the WebXmlSubTask object

  Returns:
    The TagLibs value

### setServletspec

    public void setServletspec(WebXmlSubTask.ServletVersionTypes servletSpec)

  The Servlet spec version to which the web application conforms.

  Parameters:
    `servletSpec` - The new Servletspec value

### setSmallicon

    public void setSmallicon(String smallIcon)

  Optional relative path within the web application's war file of a small (16 x 16) icon image in either JPEG or GIF format.

  Parameters:
    `smallIcon` - The new smallIcon value

### setLargeicon

    public void setLargeicon(String largeIcon)

  Optional relative path within the web application's war file of a large (32 x 32) icon image in either JPEG or GIF format.

  Parameters:
    `largeIcon` - The new largeIcon value

### setDisplayname

    public void setDisplayname(String displayName)

  Optional short name for the web application that is intended to be displayed by tools.

  Parameters:
    `displayName` - The new Displayname value

### setDescription

    public void setDescription(String description)

  Optional description of the web application.

  Parameters:
    `description` - The new Description value

### setDistributable

    public void setDistributable(boolean distributable)

  Optional boolean flag indicating whether this web application is programmed appropriately to be deployed into a distributed servlet container.

  Parameters:
    `distributable` - The new Distributable value

### setSessiontimeout

    public void setSessiontimeout(Integer session_timeout)

  The default session timeout interval for all sessions created in this web application. The specified timeout must be expressed in a whole number of minutes. If the timeout is 0 or less, the container ensures the default behaviour of sessions is never to time out.

  Parameters:
    `session_timeout` - The new Sessiontimeout value

### setTagLibs

    public void setTagLibs(ArrayList tagLibs)

  Sets the TagLibs attribute of the WebXmlSubTask object

  Parameters:
    `tagLibs` - The new TagLibs value
  ant.element

### setWelcomeFiles

    public void setWelcomeFiles(ArrayList welcomeFiles)

  Sets the WelcomeFiles attribute of the WebXmlSubTask object

  Parameters:
    `welcomeFiles` - The new WelcomeFiles value
  ant.element

### setContextParams

    public void setContextParams(ArrayList contextParams)

  Sets the ContextParams attribute of the WebXmlSubTask object

  Parameters:
    `contextParams` - The new ContextParams value
  ant.element

### addConfiguredContextparam

    public void addConfiguredContextparam(WebXmlSubTask.ContextParam cp)

  Defines a web application context parameter. May occur multiple times.

  Parameters:
    `cp` - Describe the method parameter

### addConfiguredWelcomefile

    public void addConfiguredWelcomefile(WebXmlSubTask.WelcomeFile file)

  Defines a welcome file for the web application. May occur multiple times.

  Parameters:
    `file` - Describe the method parameter

### addConfiguredTaglib

    public void addConfiguredTaglib(WebXmlSubTask.TagLib taglib)

  Declares a custom tag library for the web application's JSPs. May occur multiple times.

  Parameters:
    `taglib` - Describe the method parameter

### execute

    public void execute()
                 throws XDocletException

  Describe what the method does

  Overrides:
    `execute` in class `TemplateSubTask`
  Throws:
    `XDocletException`

### engineStarted

    protected void engineStarted()
                          throws XDocletException

  Describe what the method does

  Overrides:
    `engineStarted` in class `TemplateSubTask`
  Throws:
    `XDocletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD